Get
curl --request GET \
--url https://api.cadanapay.com/v1/businesses/{businessId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/businesses/{businessId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/businesses/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"country": "US",
"tenantKey": "cad123",
"currency": "USD",
"name": "ACME LLC",
"shortName": "ACME",
"status": "active",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"instantPaySettings": {
"accessPercentage": 30,
"numDaysBeforePayroll": 4,
"requiresApproval": false,
"contractorAccess": true
},
"payrollSettings": {
"payrollDay": 28,
"numApproversNeeded": 1
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"departments": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Engineering"
}
],
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
]
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Businesses
Get
Get a business
GET
/
v1
/
businesses
/
{businessId}
Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the business
Response
get business response
Get business response
Example:
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Example:
"US"
Example:
"cad123"
Example:
"USD"
Example:
"ACME LLC"
Example:
"ACME"
Example:
"active"
Address
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Person's phone number
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I